package info.bukova.isspst.data;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

import org.hibernate.annotations.Type;
import org.hibernate.search.annotations.Analyze;
import org.hibernate.search.annotations.Field;
import org.hibernate.search.annotations.Index;
import org.hibernate.search.annotations.Indexed;

@Entity
@Table(name = "FILE_METAINFO")
@Indexed
public class FileMetainfo extends BaseData {

	@Column(name = "FILE_NAME")
	private String fileName;
	@Column(name = "PATH_IN_FILESYSTEM")
	private String pathInFilesystem;
	@Column(name = "MODULE_ID")
	private String moduleId;
	@Column(name = "RECORD_ID")
	private int recordId;
	@Column(name = "CONTENT")
	@Type(type = "text")
	@Field(index = Index.YES, analyze = Analyze.YES)
	private String content;

	public String getFileName() {
		return fileName;
	}

	public void setFileName(String fileName) {
		this.fileName = fileName;
	}

	public String getPathInFilesystem() {
		return pathInFilesystem;
	}

	public void setPathInFilesystem(String pathInFilesystem) {
		this.pathInFilesystem = pathInFilesystem;
	}

	public String getModuleId() {
		return moduleId;
	}

	public void setModuleId(String moduleId) {
		this.moduleId = moduleId;
	}

	public int getRecordId() {
		return recordId;
	}

	public void setRecordId(int recordId) {
		this.recordId = recordId;
	}

	public String getContent() {
		return content;
	}

	public void setContent(String content) {
		this.content = content;
	}

}
